<template>
  <!-- 港口装卸费页面 -->
  <div class="homeworkPath">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" class="btn" @click="addclick">
        新增
      </el-button>
    </div>
    <dilTable v-bind.sync="option">
      <el-table-column fixed="right" label="操作" align="center" width="100">
        <template slot-scope="scope">
          <el-button @click="click(scope.row.feeId)" type="text" size="small"
            >编辑</el-button
          >
          <el-button
            type="text"
            size="small"
            @click="deleteclick(scope.row.feeId)"
            >删除</el-button
          >
        </template>
      </el-table-column>
    </dilTable>
  </div>
</template>

<script>
export default {
  name: "homeworkPath",
  data() {
    return {
      input:"",
      restaurants: [],
      state: "",
      option: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/bms/getPortHandlingFeeList?apiId=151"
      },
    };
  },
  mounted() {
  },
  methods: {
    handleSelect(item) {
      console.log(item);
    },
    onclick() {
      this.option.requestUrl = "/api/v1/bms/getPortHandlingFeeList?apiId=151&con="+this.input;
    },
    click(feeId) {
      this.$router.push("/updateHandlingFee/" + feeId);
    },
    addclick() {
      this.$router.push("/addHandlingFee");
    },
    deleteclick(scope) {
      let feeId = scope;
      this.$confirm("是否删除", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true,
      })
        .then(() => {
          this.axios
            .post(
              "/api/v1/bms/deletePortHandlingFee/" + feeId
            )
            .then(() => {
                        this.$message({
            type: "success",
            message: "删除成功!",
          });
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消删除!",
          });
        });
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
  }
}
</style>